FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202006211650.p0 BUILD_VERSION=v4.3.27 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=27 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.27-202006211650.p? 
ENV __doozer=merge OS_GIT_COMMIT=878550c OS_GIT_VERSION=4.3.27-202006211650.p?-878550c SOURCE_DATE_EPOCH=1573176683 SOURCE_GIT_COMMIT=878550ca31308b77ebe4bf5574440a1457ec7fe7 SOURCE_GIT_TAG=878550c SOURCE_GIT_URL=https://github.com/openshift/kubecsr 

WORKDIR /go/src/github.com/coreos/kubecsr

COPY . .

RUN make bin/kube-etcd-signer-server

# stage 2
FROM openshift/ose-base:v4.3.27.20200621.173109
ENV __doozer=update BUILD_RELEASE=202006211650.p0 BUILD_VERSION=v4.3.27 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=27 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.27-202006211650.p? 
ENV __doozer=merge OS_GIT_COMMIT=878550c OS_GIT_VERSION=4.3.27-202006211650.p?-878550c SOURCE_DATE_EPOCH=1573176683 SOURCE_GIT_COMMIT=878550ca31308b77ebe4bf5574440a1457ec7fe7 SOURCE_GIT_TAG=878550c SOURCE_GIT_URL=https://github.com/openshift/kubecsr 

ENTRYPOINT ["/usr/bin/kube-etcd-signer-server"]

COPY --from=builder /go/src/github.com/coreos/kubecsr/bin/kube-etcd-signer-server /usr/bin/

LABEL \
        io.k8s.display-name="kube-etcd-signer-server" \
        io.k8s.description="The certificate signer approves a given valid CSR provided by the client agent and returns a signed certificate." \
        maintainer="Sam Batschelet <sbatsche@redhat.com>" \
        License="Apache 2.0" \
        io.openshift.tags="kube-etcd-signer-server" \
        name="openshift/ose-kube-etcd-signer-server" \
        com.redhat.component="ose-kube-etcd-signer-server-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        version="v4.3.27" \
        release="202006211650.p0" \
        io.openshift.build.commit.id="878550ca31308b77ebe4bf5574440a1457ec7fe7" \
        io.openshift.build.source-location="https://github.com/openshift/kubecsr" \
        io.openshift.build.commit.url="https://github.com/openshift/kubecsr/commit/878550ca31308b77ebe4bf5574440a1457ec7fe7"

